+ Reply to Thread
Page 2 of 2 FirstFirst 1 2
Results 11 to 12 of 12
  1. #11
    Luminous Being Tharwat's Avatar
    Discipline
    Mechanical
    Tharwat's Discipline Details
    Occupation
    MEP AutoCAD Draughtsman
    Discipline
    Mechanical
    Details
    HVAC, Drainage, Water Supply, Fire Fighting and a little about Electricity.
    Using
    AutoCAD 2015
    Join Date
    Oct 2009
    Location
    Great Syria , Living in Abu Dhabi
    Posts
    6,177

    Default

    Registered forum members do not see this ad.

    Quote Originally Posted by eimimitu View Post
    good (- 3 2) Tharwat Some objects just aren't ready to settle down...

    It worked... freakin' brillant! TY!
    You are welcome anytime.

  2. #12
    Full Member
    Discipline
    Manufacture
    Using
    AutoCAD 2014
    Join Date
    Oct 2017
    Posts
    39

    Default

    Registered forum members do not see this ad.

    this is what I ended up with after reviewing some of the links provided:

    Code:
    (setq sav (vlax-ename->vla-object sar))
    (vla-Rotate sav (setq spa (vlax-3d-point spo)) (- (dtr 180.0) (angle spo tpo)))
    (vlax-invoke doc 'CopyObjects (list sav) (vla-Add (vla-get-Blocks doc) spa "_ClosedFilled"))
    (vla-delete sav)
    (setq sax (vla-InsertBlock (if (= (getvar 'tilemode) 1) (vla-get-ModelSpace doc) (vla-get-PaperSpace doc)) spa "_ClosedFilled" 1.0 1.0 1.0 0.0))
    Thanks everyone for your input....

    That change block name with DCL preview is pretty sweet

Similar Threads

  1. How to create boundary box with spline entity?
    By kwwong6 in forum AutoLISP, Visual LISP & DCL
    Replies: 51
    Last Post: 10th Mar 2015, 10:32 am
  2. create block with N last entity
    By metaldan in forum AutoLISP, Visual LISP & DCL
    Replies: 2
    Last Post: 22nd Feb 2014, 03:12 am
  3. Slicing in 3D wants me to create a block definition?
    By TED Jordan in forum AutoCAD 3D Modelling & Rendering
    Replies: 4
    Last Post: 4th Jul 2013, 04:46 pm
  4. Block Definition
    By criehle in forum AutoCAD Drawing Management & Output
    Replies: 4
    Last Post: 13th Jul 2009, 06:47 pm
  5. Create image entity using entmake?
    By Treddin in forum AutoLISP, Visual LISP & DCL
    Replies: 7
    Last Post: 9th Jul 2008, 06:49 pm

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts